Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 14:33
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
Soft ware for 'Puppy server'
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
samarai


Joined: 09 May 2010
Posts: 60
Location: Amoy fj China

PostPosted: Sat 15 May 2010, 07:59    Post_subject:  Soft ware for 'Puppy server'  

apache2-2.2.15-i386.pet

gd-2.0.35.pet

mysql-5.1.46-i386.pet

php-5.3.2-i386.pet

openssh-5.5p1-i386.pet

ImageMagick

The last release Imagemagic-6.61-7 could not 'make' on my puppy-32bit,so i search for tjis
http://www.murga-linux.com/puppy/viewtopic.php?t=51512
I have tested,PHPbb could use it,
# which convert
/usr/bin
So you just wirte '/usr/bin' on your phpBB backstage.


[size=30]All configure options[/size]
Quote:

GD version2.0.35 the last release
My configure options is:
./configure

When I install gd-2.0.35-i386,I need following soft(All of then are both last release,except libjpeg):
zlib-1.2.5
My configure options is:
./configure
jpegsrc.v7 # It is not the last release version 'v8a',because the 'v8a'version looks not work.
My configure options is:
./configure --enable-static --enable-shared
libpng1.4.2
My configure options is:
cp scripts/makefile.linux makefile && make
Freetype-2.3.12
My configure options is:
./configure
t1lib
./configure && make without_doc

Apache version2.2.15 the last release
My configure options is:
./configure --prefix=/usr/local/apache2 --enable-so --enable-rewrite --enable-vhost-alias --enable-ssl --enable-mods-shared=all --enable-track-vars --enable-cache --enable-disk-cache --enable-mem-cache --with-wpm=worker
I have open all modous.

MySQL version 5.1.46 the last release
My configure options is:
./configure --prefix=/usr/local/mysql

PHP version 5.3.2 the last release
My configure options is:
./configure --prefix=/usr/local/php5 --with-apxs2=/usr/local/apache2/bin/apxs --enable-sockets --with-config-file-path=/usr/local/lib --with-mysql=/usr/local/mysql --with-libxml-dir=/usr/local/lib --with-gd=/usr/local --with-t1lib=/usr/local --with-jpeg-dir=/usr/include --with-ttf=/usr/include/freetype --with-zlib-dir=/usr/include --with-png-dir=/usr/include --enable-mbstring=all

Openssh version 5.5p1 the last release
My configure options is:
./configure --sysconfdir=/etc/ssh


Next time I will wire a new post to tell beginer how to usr it.
Back to top
View user's profile Send_private_message Visit_website 
mamasboy

Joined: 19 Dec 2010
Posts: 6

PostPosted: Wed 22 Dec 2010, 04:05    Post_subject: Please reload...
Sub_title: in English website
 

Hi there,

Could you kindly upload this to an English website?

Secondly, I think the download links may not be working.

thanz!
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0479s ][ Queries: 11 (0.0038s) ][ GZIP on ]